# Uses of Class
it.tdlight.jni.TdApi.BotWriteAccessAllowReason

## Uses of TdApi.BotWriteAccessAllowReason in it.tdlight.jni

Subclasses of TdApi.BotWriteAccessAllowReason in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.BotWriteAccessAllowReasonAcceptedRequest`
The user accepted bot's request to send messages with allowBotToSendMessages.
`static final class`
`TdApi.BotWriteAccessAllowReasonAddedToAttachmentMenu`
The user added the bot to attachment or side menu using toggleBotIsAddedToAttachmentMenu.
`static final class`
`TdApi.BotWriteAccessAllowReasonConnectedWebsite`
The user connected a website by logging in using Telegram Login Widget on it.
`static final class`
`TdApi.BotWriteAccessAllowReasonLaunchedWebApp`
The user launched a Web App using getWebAppLinkUrl.
Fields in it.tdlight.jni declared as TdApi.BotWriteAccessAllowReason
Modifier and Type
Field
Description
`TdApi.BotWriteAccessAllowReason`
TdApi.MessageBotWriteAccessAllowed.`reason`
The reason why the bot was allowed to write messages.
Constructors in it.tdlight.jni with parameters of type TdApi.BotWriteAccessAllowReason
Modifier
Constructor
Description
``
`MessageBotWriteAccessAllowed(TdApi.BotWriteAccessAllowReason reason)`
The user allowed the bot to send messages.